Deployments.ai Docs
Alerts

Show one alert incident with its timeline

GET /v1/monitors/{id}/incidents/{incidentId} · SDK getAlertIncident · CLI deployments monitor incident

GET
/v1/monitors/{id}/incidents/{incidentId}

Requires monitors:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
incidentId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AlertIncidentResponse

application/json
  1. response
environmentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
kind*string
Value in"run-failures""tool-failures""schedule-problems""approval-wait""webhook-endpoint-health""budget-threshold""operator-spend-exhausted""trace-error-rate""trace-latency"
monitorId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
monitorName*string
openedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
resolution?string
Value in"condition-cleared""monitor-archived""monitor-changed"
resolvedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
status*string
Value in"firing""resolved"
summary*string
timeline*array<>
curl -X GET "https://example.com/v1/monitors/string/incidents/string" \  -H "x-deployments-organization: string"
{  "environmentId": "string",  "id": "string",  "kind": "run-failures",  "monitorId": "string",  "monitorName": "string",  "openedAt": "2019-08-24T14:15:22Z",  "organizationId": "string",  "projectId": "string",  "resolution": "condition-cleared",  "resolvedAt": "2019-08-24T14:15:22Z",  "status": "firing",  "summary": "string",  "timeline": [    {      "at": "2019-08-24T14:15:22Z",      "notified": true,      "summary": "string",      "type": "fired",      "value": 0    }  ]}